return {
  'folke/todo-comments.nvim',
  lazy = false,
  -- event = 'VimEnter',
  -- dependencies = { 'nvim-lua/plenary.nvim' },
  -- opts = {},
  config = function()
    require('todo-comments').setup {
      keywords = {
        TODO = { icon = '🚧', color = 'hint', alt = { 'TODO' } },
        DOING = { icon = '🔄', color = 'info', alt = { 'DOING' } },
        DONE = { icon = '✅', color = 'default', alt = { 'DONE' } },
      },
      vim.keymap.set('n', '<leader>tw', ':TodoTelescope cwd=~/notes-work/<CR>', { silent = true, desc = 'Show [t]odo in work' }),
      vim.keymap.set('n', '<leader>tm', ':TodoTelescope cwd=~/notes-personal/<CR>', { silent = true, desc = 'Show [t]odo in [my] personal notes' }),
      vim.keymap.set('n', '<leader>tp', ':TodoTelescope cwd=~/code-personal/<CR>', { silent = true, desc = 'Show [t]odo in [p]rogramming' }),
      vim.keymap.set('n', '<leader>ts', ':TodoTelescope cwd=~/notes-work/socc/<CR>', { silent = true, desc = 'Show [t]odo in [s]occ' }),
      vim.keymap.set('n', '<leader>tc', ':TodoTelescope cwd=~/notes-work/cloud/<CR>', { silent = true, desc = 'Show [t]odo in [c]loud folder' }),
      vim.keymap.set('n', '<leader>tt', ':TodoTelescope cwd=~/notes-work/tdw/<CR>', { silent = true, desc = 'Show [t]odo in [t]dw folder' }),
      vim.keymap.set('n', '<leader>tl', ':TodoTelescope cwd=%:h<CR>', { silent = true, desc = 'Show [t]odo in [l]ocal folder' }),
    }
  end,
}
